Name:           perl-FusionInventory-Agent-Task-Network
Version:        1.0.1
Release:        1%{?dist}
Summary:        Network discovery support for FusionInventory Agent
License:        GPLv2+
Group:          Development/Libraries

URL:            http://forge.fusioninventory.org/projects/fusioninventory-agent-task-netdiscovery
Source0:        http://search.cpan.org/CPAN/authors/id/G/GO/GONERI/FusionInventory-Agent-Task-Network-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(inc::Module::Install)
# For tests
BuildRequires:  fusioninventory-agent >= 2.2.0
BuildRequires:  perl(Net::SNMP)
#BuildRequires:  perl(Test::More)
#BuildRequires:  perl(Test::Exception)
#BuildRequires:  perl(Test::Compile)
Obsoletes:	perl-FusionInventory-Agent-Task-NetDiscovery perl-FusionInventory-Agent-Task-SNMPQuery

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       fusioninventory-agent >= 2.2.0
# Optional (but recommended) dependencies
Requires:       perl(Net::SNMP)
Requires:       perl(Net::NBName)
Requires:       nmap

# RPM 4.8
%{?filter_from_provides: %filter_from_provides /perl(FusionInventory::/d}
%{?filter_from_requires: %filter_from_requires /perl(FusionInventory::/d}
%{?perl_default_filter}
# RPM 4.9
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(FusionInventory::
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(FusionInventory::


%description
This module scans your networks to get information from devices with
SNMP protocol.


%prep
%setup -q -n FusionInventory-Agent-Task-Network-%{version}

# Use system ones
rm -rf inc/*


%build
perl Makefile.PL \
     PREFIX=%{_prefix} \
     SYSCONFDIR=%{_sysconfdir}/fusioninventory \
     LOCALSTATEDIR=%{_localstatedir}/lib/%{name}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README 
%{_bindir}/fusioninventory-netdiscovery
%{_bindir}/fusioninventory-netinventory
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/3Com.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Alcatel.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Axis.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Cisco.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/HewlettPackard.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Juniper.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Kyocera.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Nortel.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Wyse.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Manufacturer/Zebranet.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP/Live.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP/Mock.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Threads.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Tools/SNMP.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery/Dictionary.pm
%{_mandir}/man1/fusioninventory*
%{_mandir}/man3/FusionInventory*

%changelog
* Tue Nov 27 2012 Kevin COUSIN <kcousin@global-sp.com> - 1.0.1-1
- First GlobalSP release

